问下appcompat-v7包的兼容问题

子弹兔儿 发布于 2015/07/02 11:17
阅读 3K+
收藏 0

我用的是sdk里android的support-v7时,大小是344k的,可以解决"Theme.AppCompat.Light.DarkActionBar"这个问题。但是不能解决import android.support.v7.app.ActionBarActivity;这个问题,这不,我从网上看到一个compat-v7的包,大小是512k的,可以解决import android.support.v7.app.ActionBarActivity;这个问题,但是第一个问题就不能解决了,这两个不一样大小的包是咋回事啊,难道不能有整合到一起的v7包么。。。

加载中
0
小红书
小红书
使用最新版本…
子弹兔儿
回复 @kass : import android.support.v7.app.AppCompatActivity;我更新到22了,可是网上有些代码里有这个,新的22的extras里的v7好像不能解决这个啊。。。求指教。
小红书
小红书
回复 @子弹兔儿 : 最新支持包版本是22吧应该,解决不解决不知道。ActionBarActivity废弃,AppCompatActivity对应的主题的也进行了更新,Theme.AppCptTheme?什么鬼的了。
子弹兔儿
我这eclipse ADT是23版本的 其他的是20的 应该是蛮新的了吧. 新版本的appcompat_v7能解决这个问题是吗?
返回顶部
顶部